package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 奖项配置枚举
 */
@AllArgsConstructor
@Getter
public enum EBonusItems {

    /**
     * 嗨粉直推 禁用
     */
    HI_PINK(1, "嗨粉直推", 1, EnumsPrefixConstants.BONUS_ITEMS + 1),

    /**
     * 启动卡直推
     */
//    BOOT_CARD(2, "启动卡直推", 0, EnumsPrefixConstants.BONUS_ITEMS + 2),

    /**
     * 直推收益
     */
    DIRECT_INCOME(3, "直推收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 3),
    /**
     * 拓展收益
     */
    EXPANSION_INCOME(4, "拓展收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 4),
    /**
     * 辅导收益
     */
    COACHING_INCOME(5, "辅导收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 5),
    /**
     * 分红收益
     */
    DIVIDEND_INCOME(6, "分红收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 6),
    /**
     * 服务补贴
     */
    SERVICE_SUBSIDIES(7, "服务补贴", 0, EnumsPrefixConstants.BONUS_ITEMS + 7),
    /**
     * 复购极差收益
     */
    REPURCHASE_RANGE_INCOME(8, "复购极差收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 8),
    /**
     * 消费拓展收益
     */
    CONSUMPTION_EXPANSION_INCOME(9, "消费拓展收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 9),
    /**
     * 商城重销
     */
    RESALE_IN_THE_MALL(10, "商城重销", 0, EnumsPrefixConstants.BONUS_ITEMS + 10),
    /**
     * 平台服务费
     */
    PLATFORM_SERVICE_FEE(11, "平台服务费", 0, EnumsPrefixConstants.BONUS_ITEMS + 11),
    /**
     * 复购券
     */
    REPURCHASE_COUPONS(12, "复购券", 0, EnumsPrefixConstants.BONUS_ITEMS + 12),
    /**
     * 复购券均分收益
     */
    REPURCHASE_COUPONS_SHARE(13, "复购券均分", 0, EnumsPrefixConstants.BONUS_ITEMS + 13),
    /**
     * 云代直推收益 修改为幸运收益
     */
    CLOUD_AGENT_DIRECT_PUSH(14, "幸运收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 14),
    /**
     * 云代首购收益 修改为极差收益
     */
    CLOUD_AGENT_FIRST_PURCHASE(15, "极差收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 15),
    /**
     * 云代复购收益 修改为平级收益
     */
    CLOUD_AGENT_REPURCHASE(16, "平级收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 16),
    /**
     * 全球分红
     */
//    GLOBAL_DIVIDEND(17, "全球分红", 0, EnumsPrefixConstants.BONUS_ITEMS + 17),
    /**
     * 环球积分
     */
//    GLOBAL_POINTS(18, "环球积分", 0, EnumsPrefixConstants.BONUS_ITEMS + 18),
    /**
     * 车奖积分
     */
//    CAR_BONUS_POINTS(19, "车奖积分", 0, EnumsPrefixConstants.BONUS_ITEMS + 19),

    /**
     * 海粉收益 禁用
     */
//    HAI_DOU_INCOME(22, "海粉收益", 1, EnumsPrefixConstants.BONUS_ITEMS + 22),

    /**
     * 店铺收益
     */
    STORE_INCOME(23, "店铺收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 23),

    /**
     * 复购直推收益 修改为互助收益
     */
    HELP_EACH_INCOME(24, "互助收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 24),

    /**
     * 复购辅导收益
     */
    REPURCHASE_COACHING_INCOME(25, "复购辅导收益", 0, EnumsPrefixConstants.BONUS_ITEMS + 25),

    ;

    public static EBonusItems getEnumByValue(int value) {
        for (EBonusItems eBonusItems : EBonusItems.values()) {
            if (eBonusItems.getValue() == value) {
                return eBonusItems;
            }
        }
        return null;
    }

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;
}
